Name:          mtr
Version:       0.95
Release:       1mamba
Summary:       The functionality of the 'traceroute' and 'ping' programs in a single network diagnostic tool
Group:         Network/Monitoring
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.bitwizard.nl/mtr/
Source:        ftp://ftp.bitwizard.nl/mtr/mtr-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libjansson-devel
BuildRequires: libncurses-devel
## AUTOBUILDREQ-END

%description
mtr combines the functionality of the 'traceroute' and 'ping' programs in a single network diagnostic tool.
As mtr starts, it investigates the network connection between the host mtr runs on and a user-specified destination host. After it determines the address of each network hop between the machines, it sends a sequence ICMP ECHO requests to each one to determine the quality of the link to each machine.  As it does this, it prints running statistics about each machine.

%debug_package

%prep
%setup -q

%build
%configure --without-gtk
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/mtr
%{_sbindir}/mtr-packet
%{_datadir}/bash-completion/completions/mtr
%{_mandir}/man8/mtr.8*
%{_mandir}/man8/mtr-packet.8*
%doc AUTHORS COPYING

%changelog
* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 0.95-1mamba
- automatic version update by autodist

* Fri Sep 25 2020 Automatic Build System <autodist@mambasoft.it> 0.94-1mamba
- automatic version update by autodist

* Tue Aug 06 2019 Automatic Build System <autodist@mambasoft.it> 0.93-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 0.92-1mamba
- automatic version update by autodist

* Sat Apr 15 2017 Automatic Build System <autodist@mambasoft.it> 0.87-1mamba
- automatic version update by autodist

* Tue Dec 16 2014 Automatic Build System <autodist@mambasoft.it> 0.86-1mamba
- automatic update by autodist

* Wed Jul 23 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.85-1mamba
- package created using the webbuild interface
